<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateDepositos extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('depositos')
			->addColumn('cuenta_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('capital', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('futuro', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('inicio', 'date', ['null' => false])
			->addColumn('termino', 'date', ['null' => false])
			->addForeignKey('cuenta_id', 'cuenta', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
